/*
 * ********************************************************* {{{1 **********
 *   Copyright © 2005 … 2021  "Martin Krischik" «krischik@users.sourceforge.net»
 * *************************************************************************
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * *************************************************************************
 *   $Author: krischik $
 *   $Revision: 7685 $
 *   $Date: 2021-09-16 11:41:15 +0200 (Do, 16. Sep 2021) $
 *   $Id: Preferences_Fragment.java 7685 2021-09-16 09:41:15Z krischik $
 * ********************************************************** }}}1 **********
 *
 */

package net.sourceforge.uiq3.hp45;

import org.jetbrains.annotations.Nullable;

/**
 * @author martin
 */
@SuppressWarnings ("UnnecessaryLocalVariable")
@android.annotation.TargetApi (android.os.Build.VERSION_CODES.UPSIDE_DOWN_CAKE)
public class Preferences_Fragment
   extends
      android.preference.PreferenceFragment
{
   /**
    * logging tag
    */
   private static final String TAG = net.sourceforge.uiq3.Log.createTag (Preferences_Fragment.class);

   /**
    * @see android.app.Service#onCreate()
    */
   @Override
   public void onCreate (@Nullable final android.os.Bundle savedInstanceState)
   {
      super.onCreate (savedInstanceState);
      // net.sourceforge.uiq3.Log.d (Preferences_Activity.TAG, "+ onCreate");
      // net.sourceforge.uiq3.Log.v (Preferences_Activity.TAG, "> savedInstanceState      = "
      // + savedInstanceState);

      // noinspection deprecation
      this.addPreferencesFromResource (net.sourceforge.uiq3.hp45.R.xml.preferences);

      // net.sourceforge.uiq3.Log.d (Preferences_Activity.TAG, "- onCreate");
      return;
   } // onCreate

} // Preferences_Activity

// vim: set nowrap tabstop=8 shiftwidth=3 softtabstop=3 expandtab textwidth=120 :
// vim: set fileencoding=utf-8 filetype=java foldmethod=syntax spell spelllang=en_gb :
