#!/opt/local/bin/zsh
#
# ********************************************************** {{{1 **********
#   Copyright © 2005 … 2021  "Martin Krischik" «krischik@users.sourceforge.net»
# **************************************************************************
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
# **************************************************************************
#   $Author: krischik $
#   $Revision: 7184 $
#   $Date: 2021-01-02 19:23:21 +0100 (Sa, 02. Jan 2021) $
#   $Id: Preferences_Activity.java 7184 2021-01-02 18:23:21Z krischik $
# *********************************************************** }}}1 **********
#
#

setopt Err_Exit
setopt No_XTrace

pushd "${PROJECT_HOME}/Android/HP45"
    scala -classpath ${UIQ3_SCALASCRIPT} -save "src/main/scripts/Start.cmd" "build" "debug"
popd

############################################################ {{{1 ###########
# vim: set wrap tabstop=8 shiftwidth=4 softtabstop=4 noexpandtab :
# vim: set textwidth=0 filetype=zsh foldmethod=marker nospell :
