:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: {{{1 :::::::::::
:: Copyright © 2007 … 2023  "Martin Krischik" «krischik@users.sourceforge.net»
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: This program is free software: you can redistribute it and/or modify
:: it under the terms of the GNU General Public License as published by
:: the Free Software Foundation, either version 3 of the License, or
:: (at your option) any later version.
::
:: This program is distributed in the hope that it will be useful,
:: but WITHOUT ANY WARRANTY; without even the implied warranty of
:: MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
:: GNU General Public License for more details.
::
:: You should have received a copy of the GNU General Public License
:: along with this program.  If not, see <http://www.gnu.org/licenses/>.
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: }}}1 :::::::::::

@ECHO OFF

IF NOT "%@eval[2 + 2]%" == "4" ( echo ^e[42mYou need TakeCommand [http://www.jpsoft.com] to execute this batch file.^e[m & EXIT /B 1)

SETLOCAL
    ON CONDITION ERRORLEVEL NE 0    CANCEL
    ON BREAK                        CANCEL
    ON ERRORMSG                     CANCEL

    IFF NOT PLUGIN sysutils THEN
	PLUGIN /L sysutils64.dll
    ENDIFF

    IFF %@Connect[localhost 5554] lt 0 THEN
	detach emulator     ^
	    -avd    XOOM	^
	    -no-boot-anim
    ENDIFF

    IFF @CONNECT[localhost 8700] lt 0 THEN
	detach ddms
    ENDIFF

    PUSHD "%[PROJECT_HOME]"
	mvn install --also-make --projects ../HP45-Droid
    POPD

    PUSHD "%[PROJECT_HOME]/HP45-Droid"
	adb `-e` wait-for-device
	adb `-e` install				    ^
	    `-r` target/HP45-Droid-%[UIQ3_VERSION].apk
	adb `-e` shell am start				    ^
	    `-a` android.intent.action.MAIN		    ^
	    `-n` net.sourceforge.uiq3.hp45/net.sourceforge.uiq3.hp45.Calculator_Activity
    POPD
ENDLOCAL

:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: {{{1 :::::::::::
:: vim: set wrap tabstop=8 shiftwidth=4 softtabstop=4 noexpandtab :
:: vim: set textwidth=0 filetype=btm foldmethod=marker nospell :
