::#!
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: {{{1 :::::::::::
:: Copyright © 2005 … 2023 "Martin Krischik" «krischik@users.sourceforge.net»
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: This program is free software: you can redistribute it and/or modify
:: it under the terms of the GNU General Public License as published by
:: the Free Software Foundation, either version 3 of the License, or
:: (at your option) any later version.
::
:: This program is distributed in the hope that it will be useful,
:: but WITHOUT ANY WARRANTY; without even the implied warranty of
:: MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
:: GNU General Public License for more details.
::
:: You should have received a copy of the GNU General Public License
:: along with this program.  If not, see http://www.gnu.org/licenses/
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: }}}1 :::::::::::
@ECHO OFF

SETLOCAL
    PUSHD "%PROJECT_HOME%/Android/HP45/Droid"
        SET PATH=%PATH%;%SCALA_HOME%\bin

        CALL scala -classpath %UIQ3_SCALASCRIPT% -save %~f0 %*
    POPD
ENDLOCAL

GOTO :eof
::!#

import scala.sys.process._
import java.util.logging
import net.sourceforge.uiq3.Android.{adb,forAllDevices}
import net.sourceforge.uiq3.Gradle.gradle
import net.sourceforge.uiq3.Shell.Logger

(gradle ::: "installDebug":: Nil).!

forAllDevices {
    Device =>
        Logger.log (logging.Level.INFO, "[Scala] Start on Device «" + Device + "»")

        (adb ::
            "-s" :: Device ::
            "shell" ::  "am" :: "start" :: "-n" :: "net.sourceforge.uiq3.hp45/net.sourceforge.uiq3.hp45.Info_Activity_" ::
            Nil
        ).!
}

// vim: set wrap tabstop=8 shiftwidth=4 softtabstop=4 expandtab :
// vim: set textwidth=0 filetype=scala fileformat=unix foldmethod=marker nospell :
