#!/opt/local/bin/zsh
#
# ********************************************************** {{{1 **********
#   Copyright © 2005 … 2021  "Martin Krischik" «krischik@users.sourceforge.net»
# **************************************************************************
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
# *********************************************************** }}}1 **********
#

setopt Err_Exit
setopt No_XTrace

source "${PROJECT_HOME}/Utilities/Setup.command"

pushd "${PROJECT_HOME}/Android/HP45"
    kotlin -classpath "${UIQ3_KOTLINSCRIPT}" "src/main/scripts/${0:t:r}.main.kts"
popd

############################################################ {{{1 ###########
# vim: set wrap tabstop=8 shiftwidth=4 softtabstop=4 noexpandtab :
# vim: set textwidth=0 filetype=zsh foldmethod=marker nospell :
