/*
 * ******************************************************** {{{1 ************
 *   Copyright © 2005 … 2017 "Martin Krischik" «krischik@users.sourceforge.net»
 * **************************************************************************
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see «http://www.gnu.org/licenses».
 *  ***************************************************************************
 *   $Author: krischik $
 *   $Revision: 7681 $
 *   $Date: 2021-09-02 16:15:29 +0200 (Do, 02. Sep 2021) $
 *   $Id: Alpha.java 7681 2021-09-02 14:15:29Z krischik $
 *  ********************************************************** }}}1 ***********
 */

package net.sourceforge.uiq3.calculator;

/**
 * The Inv key was clicked
 *
 * @author "Martin Krischik" «krischik@users.sourceforge.net»
 */
@SuppressWarnings ({
   "NonAsciiCharacters",
   "unused",
   "WeakerAccess" })
public abstract class Alpha
{
   /**
    * <p>
    * a
    * </p>
    */
   public static final short a = 0x90;
   /**
    * <p>
    * A
    * </p>
    */
   public static final short A = 0x30;
   /**
    * <p>
    * Alpha_Append
    * </p>
    */
   public static final short Alpha_Append = 0x5D;
   /**
    * <p>
    * Alpha_End
    * </p>
    */
   public static final short Alpha_End = 0x2B;
   /**
    * <p>
    * ar00
    * </p>
    */
   public static final short ar00 = 0x60;
   /**
    * <p>
    * ar01
    * </p>
    */
   public static final short ar01 = 0x61;
   /**
    * <p>
    * ar02
    * </p>
    */
   public static final short ar02 = 0x62;
   /**
    * <p>
    * ar03
    * </p>
    */
   public static final short ar03 = 0x63;
   /**
    * <p>
    * ar04
    * </p>
    */
   public static final short ar04 = 0x64;
   /**
    * <p>
    * ar05
    * </p>
    */
   public static final short ar05 = 0x65;
   /**
    * <p>
    * ar06
    * </p>
    */
   public static final short ar06 = 0x66;
   /**
    * <p>
    * ar07
    * </p>
    */
   public static final short ar07 = 0x67;
   /**
    * <p>
    * ar08
    * </p>
    */
   public static final short ar08 = 0x68;
   /**
    * <p>
    * ar09
    * </p>
    */
   public static final short ar09 = 0x69;
   /**
    * <p>
    * ar10
    * </p>
    */
   public static final short ar10 = 0xB0;
   /**
    * <p>
    * ar11
    * </p>
    */
   public static final short ar11 = 0xB1;
   /**
    * <p>
    * ar12
    * </p>
    */
   public static final short ar12 = 0xB2;
   /**
    * <p>
    * ar13
    * </p>
    */
   public static final short ar13 = 0xB3;
   /**
    * <p>
    * ar14
    * </p>
    */
   public static final short ar14 = 0xB4;
   /**
    * <p>
    * ar15
    * </p>
    */
   public static final short ar15 = 0xB5;
   /**
    * <p>
    * ar16
    * </p>
    */
   public static final short ar16 = 0xB6;
   /**
    * <p>
    * ar17
    * </p>
    */
   public static final short ar17 = 0xB7;
   /**
    * <p>
    * ar18
    * </p>
    */
   public static final short ar18 = 0xB8;
   /**
    * <p>
    * ar19
    * </p>
    */
   public static final short ar19 = 0xB9;
   /**
    * <p>
    * ar1F
    * </p>
    */
   public static final short ar1F = 0xF6;
   /**
    * <p>
    * arF
    * </p>
    */
   public static final short arF = 0xF1;
   /**
    * <p>
    * arX
    * </p>
    */
   public static final short arX = 0x5E;
   /**
    * <p>
    * b
    * </p>
    */
   public static final short b = 0x91;
   /**
    * <p>
    * B
    * </p>
    */
   public static final short B = 0x31;
   /**
    * <p>
    * Back_Double_Quote
    * </p>
    */
   public static final short Back_Double_Quote = 0xEB;
   /**
    * <p>
    * Block
    * </p>
    */
   public static final short Block = 0x51;
   /**
    * <p>
    * Brace_Close
    * </p>
    */
   public static final short Brace_Close = 0x56;
   /**
    * <p>
    * Brace_Open
    * </p>
    */
   public static final short Brace_Open = 0x55;
   /**
    * <p>
    * c
    * </p>
    */
   public static final short c = 0x92;
   /**
    * <p>
    * C
    * </p>
    */
   public static final short C = 0x32;
   /**
    * <p>
    * Comma
    * </p>
    */
   public static final short Comma = 0x5A;
   /**
    * <p>
    * d
    * </p>
    */
   public static final short d = 0x93;
   /**
    * <p>
    * D
    * </p>
    */
   public static final short D = 0x33;
   /**
    * <p>
    * Degree
    * </p>
    */
   public static final short Degree = 0x7D;
   /**
    * <p>
    * Div
    * </p>
    */
   public static final short Div = 0x4B;
   /**
    * <p>
    * Dot
    * </p>
    */
   public static final short Dot = 0x7A;
   /**
    * <p>
    * Double_Colon
    * </p>
    */
   public static final short Double_Colon = 0x50;
   /**
    * <p>
    * Double_Quote
    * </p>
    */
   public static final short Double_Quote = 0x7B;
   /**
    * <p>
    * e
    * </p>
    */
   public static final short e = 0x94;
   /**
    * <p>
    * E
    * </p>
    */
   public static final short E = 0x34;
   /**
    * <p>
    * Equal
    * </p>
    */
   public static final short Equal = 0x4E;
   /**
    * <p>
    * Exchange
    * </p>
    */
   public static final short Exchange = 0xAF;
   /**
    * <p>
    * Exclamation_Mark
    * </p>
    */
   public static final short Exclamation_Mark = 0x53;
   /**
    * <p>
    * EXE
    * </p>
    */
   public static final short EXE = 0x5F;
   /**
    * <p>
    * Exp_0
    * </p>
    */
   public static final short Exp_0 = 0x00;
   /**
    * <p>
    * Exp_1
    * </p>
    */
   public static final short Exp_1 = 0x01;
   /**
    * <p>
    * Exp_2
    * </p>
    */
   public static final short Exp_2 = 0x02;
   /**
    * <p>
    * Exp_3
    * </p>
    */
   public static final short Exp_3 = 0x03;
   /**
    * <p>
    * Exp_4
    * </p>
    */
   public static final short Exp_4 = 0x04;
   /**
    * <p>
    * Exp_5
    * </p>
    */
   public static final short Exp_5 = 0x05;
   /**
    * <p>
    * Exp_6
    * </p>
    */
   public static final short Exp_6 = 0x06;
   /**
    * <p>
    * Exp_7
    * </p>
    */
   public static final short Exp_7 = 0x07;
   /**
    * <p>
    * Exp_8
    * </p>
    */
   public static final short Exp_8 = 0x08;
   /**
    * <p>
    * Exp_9
    * </p>
    */
   public static final short Exp_9 = 0x09;
   /**
    * <p>
    * Exp_Minus
    * </p>
    */
   public static final short Exp_Minus = 0xFD;
   /**
    * <p>
    * Exp_Space
    * </p>
    */
   public static final short Exp_Space = 0x0f;
   /**
    * <p>
    * f
    * </p>
    */
   public static final short f = 0x95;
   /**
    * <p>
    * F
    * </p>
    */
   public static final short F = 0x35;
   /**
    * <p>
    * g
    * </p>
    */
   public static final short g = 0x96;
   /**
    * <p>
    * G
    * </p>
    */
   public static final short G = 0x36;
   /**
    * <p>
    * Greater_Equal
    * </p>
    */
   public static final short Greater_Equal = 0xE4;
   /**
    * <p>
    * h
    * </p>
    */
   public static final short h = 0x97;
   /**
    * <p>
    * H
    * </p>
    */
   public static final short H = 0x37;
   /**
    * <p>
    * i
    * </p>
    */
   public static final short i = 0x98;
   /**
    * <p>
    * I
    * </p>
    */
   public static final short I = 0x38;
   /**
    * <p>
    * j
    * </p>
    */
   public static final short j = 0x99;
   /**
    * <p>
    * J
    * </p>
    */
   public static final short J = 0x39;
   /**
    * <p>
    * k
    * </p>
    */
   public static final short k = 0x9A;
   /**
    * <p>
    * K
    * </p>
    */
   public static final short K = 0x3A;
   /**
    * <p>
    * l
    * </p>
    */
   public static final short l = 0x9B;
   /**
    * <p>
    * L
    * </p>
    */
   public static final short L = 0x3B;
   /**
    * <p>
    * L_Arrow
    * </p>
    */
   public static final short L_Arrow = 0xAD;
   /**
    * <p>
    * m
    * </p>
    */
   public static final short m = 0x9C;
   /**
    * <p>
    * M
    * </p>
    */
   public static final short M = 0x3C;
   /**
    * <p>
    * Merge_Space
    * </p>
    */
   public static final short Merge_Space = 0xEF;
   /**
    * <p>
    * Middle_Dot
    * </p>
    */
   public static final short Middle_Dot = 0x0e;
   /**
    * <p>
    * Minus
    * </p>
    */
   public static final short Minus = 0x4D;
   /**
    * <p>
    * Mult
    * </p>
    */
   public static final short Mult = 0x4A;
   /**
    * <p>
    * n
    * </p>
    */
   public static final short n = 0x9D;
   /**
    * <p>
    * N
    * </p>
    */
   public static final short N = 0x3D;
   /**
    * <p>
    * Num_0
    * </p>
    */
   public static final short Num_0 = 0x70;
   /**
    * <p>
    * Num_1
    * </p>
    */
   public static final short Num_1 = 0x71;
   /**
    * <p>
    * Num_2
    * </p>
    */
   public static final short Num_2 = 0x72;
   /**
    * <p>
    * Num_3
    * </p>
    */
   public static final short Num_3 = 0x73;
   /**
    * <p>
    * Num_4
    * </p>
    */
   public static final short Num_4 = 0x74;
   /**
    * <p>
    * Num_5
    * </p>
    */
   public static final short Num_5 = 0x75;
   /**
    * <p>
    * Num_6
    * </p>
    */
   public static final short Num_6 = 0x76;
   /**
    * <p>
    * Num_7
    * </p>
    */
   public static final short Num_7 = 0x77;
   /**
    * <p>
    * Num_8
    * </p>
    */
   public static final short Num_8 = 0x78;
   /**
    * <p>
    * Num_9
    * </p>
    */
   public static final short Num_9 = 0x79;
   /**
    * <p>
    * o
    * </p>
    */
   public static final short o = 0x9E;
   /**
    * <p>
    * O
    * </p>
    */
   public static final short O = 0x3E;
   /**
    * <p>
    * p
    * </p>
    */
   public static final short p = 0x9F;
   /**
    * <p>
    * P
    * </p>
    */
   public static final short P = 0x3F;
   /**
    * <p>
    * P_Close
    * </p>
    */
   public static final short P_Close = 0x59;
   /**
    * <p>
    * P_Open
    * </p>
    */
   public static final short P_Open = 0x58;
   /**
    * <p>
    * Percent
    * </p>
    */
   public static final short Percent = 0xAE;
   /**
    * <p>
    * Plus
    * </p>
    */
   public static final short Plus = 0x4C;
   /**
    * <p>
    * Plus_Minus
    * </p>
    */
   public static final short Plus_Minus = 0xE3;
   /**
    * <p>
    * q
    * </p>
    */
   public static final short q = 0xA0;
   /**
    * <p>
    * Q
    * </p>
    */
   public static final short Q = 0x40;
   /**
    * <p>
    * Question_Mark
    * </p>
    */
   public static final short Question_Mark = 0x52;
   /**
    * <p>
    * Quote
    * </p>
    */
   public static final short Quote = 0x7C;
   /**
    * <p>
    * r
    * </p>
    */
   public static final short r = 0xA1;
   /**
    * <p>
    * R
    * </p>
    */
   public static final short R = 0x41;
   /**
    * <p>
    * R_Arrow
    * </p>
    */
   public static final short R_Arrow = 0xAC;
   /**
    * <p>
    * Root
    * </p>
    */
   public static final short Root = 0xE2;
   /**
    * <p>
    * s
    * </p>
    */
   public static final short s = 0xA2;
   /**
    * <p>
    * S
    * </p>
    */
   public static final short S = 0x42;
   /**
    * <p>
    * Slash
    * </p>
    */
   public static final short Slash = 0xAB;
   /**
    * <p>
    * Small_10
    * </p>
    */
   public static final short Small_10 = 0x0b;
   /**
    * <p>
    * Small_A
    * </p>
    */
   public static final short Small_A = 0xE0;
   /**
    * <p>
    * Small_D
    * </p>
    */
   public static final short Small_D = 0x0a;
   /**
    * <p>
    * Small_E
    * </p>
    */
   public static final short Small_E = 0x5C;
   /**
    * <p>
    * Small_in
    * </p>
    */
   public static final short Small_in = 0x0d;
   /**
    * <p>
    * Small_L
    * </p>
    */
   public static final short Small_L = 0x0c;
   /**
    * <p>
    * Small_R
    * </p>
    */
   public static final short Small_R = 0xE1;
   /**
    * <p>
    * Space
    * </p>
    */
   public static final short Space = 0x7F;
   /**
    * <p>
    * Star
    * </p>
    */
   public static final short Star = 0xAA;
   /**
    * <p>
    * Stop
    * </p>
    */
   public static final short Stop = 0xFF;
   /**
    * <p>
    * Sub_Minus_1
    * </p>
    */
   public static final short Sub_Minus_1 = 0xE9;
   /**
    * <p>
    * Super_1_Divided
    * </p>
    */
   public static final short Super_1_Divided = 0xEE;
   /**
    * <p>
    * Super_2
    * </p>
    */
   public static final short Super_2 = 0xE7;
   /**
    * <p>
    * Super_Minus_1
    * </p>
    */
   public static final short Super_Minus_1 = 0xE8;
   /**
    * <p>
    * Super_X
    * </p>
    */
   public static final short Super_X = 0xED;
   /**
    * <p>
    * Super_Y
    * </p>
    */
   public static final short Super_Y = 0xEA;
   /**
    * <p>
    * t
    * </p>
    */
   public static final short t = 0xA3;
   /**
    * <p>
    * T
    * </p>
    */
   public static final short T = 0x43;
   /**
    * <p>
    * u
    * </p>
    */
   public static final short u = 0xA4;
   /**
    * <p>
    * U
    * </p>
    */
   public static final short U = 0x44;
   /**
    * <p>
    * Underscore
    * </p>
    */
   public static final short Underscore = 0xEC;
   /**
    * <p>
    * v
    * </p>
    */
   public static final short v = 0xA5;
   /**
    * <p>
    * V
    * </p>
    */
   public static final short V = 0x45;
   /**
    * <p>
    * w
    * </p>
    */
   public static final short w = 0xA6;
   /**
    * <p>
    * W
    * </p>
    */
   public static final short W = 0x46;
   /**
    * <p>
    * x
    * </p>
    */
   public static final short x = 0xA7;
   /**
    * <p>
    * X
    * </p>
    */
   public static final short X = 0x47;
   /**
    * <p>
    * Xmean
    * </p>
    */
   public static final short Xmean = 0xE6;
   /**
    * <p>
    * y
    * </p>
    */
   public static final short y = 0xA8;
   /**
    * <p>
    * Y
    * </p>
    */
   public static final short Y = 0x48;
   /**
    * <p>
    * z
    * </p>
    */
   public static final short z = 0xA9;
   /**
    * <p>
    * Z
    * </p>
    */
   public static final short Z = 0x49;
   /**
    * <p>
    * Micro
    * </p>
    */
   public static final short µ = 0x54;
   /**
    * <p>
    * Pi
    * </p>
    */
   public static final short π = 0x5B;
   /**
    * <p>
    * Lower_Sigma
    * </p>
    */
   public static final short σ = 0xE5;
   /**
    * <p>
    * Caps_Signma
    * </p>
    */
   public static final short Σ = 0x57;

   /**
    * Test if a token is an alpha recall
    *
    * @param Test_Token
    *           Token to test
    * @return true if Test_Token in an AR token
    */
   public static boolean Is_AR (final short Test_Token)
   {
      return ((Test_Token >= Alpha.ar00) && (Test_Token <= Alpha.ar09)) || ((Test_Token >= Alpha.ar10) &&
         (Test_Token <= Alpha.ar19)) || ((Test_Token >= (Alpha.arF - 1)) && (Test_Token <= (Alpha.ar1F + 3)));
   } // Is_AR
} // Alpha

// vim: set nowrap tabstop=8 shiftwidth=3 softtabstop=3 expandtab textwidth=96 :
// vim: set fileencoding=utf-8 filetype=java foldmethod=syntax spell spelllang=en_gb :
