#!/opt/local/bin/zsh
############################################################ {{{1 ###########
#  Copyright © 2007 … 2021  Martin Krischik
#############################################################################
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#############################################################################
#  $Author: krischik $
#  $Revision: 7918 $
#  $Date: 2022-01-11 17:53:34 +0100 (Di, 11. Jan 2022) $
#  $Id: Start.command 7918 2022-01-11 16:53:34Z krischik $
############################################################ }}}1 ###########

setopt No_XTrace
setopt Err_Exit

UIQ3_DEMO=false

typeset Build="target"
typeset App_Name="HP45"
typeset Jar_Name="${App_Name}-Desktop-${UIQ3_VERSION}"

alias register="/System/Library/Frameworks/CoreServices.framework/Frameworks/LaunchServices.framework/Support/lsregister -f"

pushd "${PROJECT_HOME}/Java/HP45/Desktop"
    mvn test
popd

############################################################ {{{1 ###########
# vim: set nowrap tabstop=8 shiftwidth=4 softtabstop=4 noexpandtab :
# vim: set textwidth=0 filetype=zsh foldmethod=marker nospell :
