#!/opt/local/bin/zsh
#
# ********************************************************** {{{1 **********
#   Copyright © 2005 … 2021  "Martin Krischik" «krischik@users.sourceforge.net»
# **************************************************************************
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
# **************************************************************************
#   $Author: krischik $
#   $Revision: 7660 $
#   $Date: 2021-07-19 15:38:49 +0200 (Mo, 19. Jul 2021) $
#   $Id: Start-Info.command 7660 2021-07-19 13:38:49Z krischik $
# *********************************************************** }}}1 **********
#
#

setopt No_Err_Exit;
setopt No_XTrace;

pushd "${PROJECT_HOME}/Android/HP45/Droid"
    scala -classpath ${UIQ3_SCALASCRIPT} -save "src/main/scripts/Start-Info.cmd"
popd;

############################################################ {{{1 ###########
# vim: set wrap tabstop=8 shiftwidth=4 softtabstop=4 noexpandtab :
# vim: set textwidth=0 filetype=zsh foldmethod=marker nospell :
