/*
 * ************************************************************ {{{1 **********
 * Copyright © 2005 … 2023  "Martin Krischik" «krischik@users.sourceforge.net»
 * **************************************************************************
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see «http://www.gnu.org/licenses»..
 * ************************************************************ }}}1 **********
 */

// @file:Repository("file:///Users/Shared/Work/Repositories/Local")
// @file:DependsOn("net.sourceforge.uiq3:Kotlin-Script:7.1.0")

import com.krischik.script.Android.forAllDevices
import com.krischik.script.Android.uninstall
import com.krischik.script.Echo

val Group_Name      = "hp45"
val Package_Name    = "net.sourceforge.uiq3." + Group_Name
val Test_Name       = "net.sourceforge.uiq3." + Group_Name + ".test"

forAllDevices {
    Device ->
        Echo ("Uninstall «" + Device + "»")

        uninstall (Device, Test_Name)
        uninstall (Device, Package_Name)
}

//////////////////////////////////////////////////////////// {{{1 ///////////
// vim: set wrap tabstop=8 shiftwidth=4 softtabstop=4 expandtab :
// vim: set textwidth=0 filetype=kotlin fileformat=unix foldmethod=marker nospell :
