::#!
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: {{{1 :::::::::::
:: Copyright © 2005 … 2017 "Martin Krischik" «krischik@users.sourceforge.net»
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: This program is free software: you can redistribute it and/or modify
:: it under the terms of the GNU General Public License as published by
:: the Free Software Foundation, either version 3 of the License, or
:: (at your option) any later version.
::
:: This program is distributed in the hope that it will be useful,
:: but WITHOUT ANY WARRANTY; without even the implied warranty of
:: MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
:: GNU General Public License for more details.
::
:: You should have received a copy of the GNU General Public License
:: along with this program.  If not, see http://www.gnu.org/licenses/
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: $Author: krischik $
:: $Revision: 7664 $
:: $Date: 2021-07-29 17:57:49 +0200 (Do, 29. Jul 2021) $
:: $Id: Open-Screenshots.cmd 7664 2021-07-29 15:57:49Z krischik $
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: }}}1 :::::::::::
@ECHO OFF

SETLOCAL
    PUSHD "%PROJECT_HOME%/Android/HP45/Droid"
        SET PATH=%PATH%;%SCALA_HOME%\bin

        CALL scala -classpath %UIQ3_SCALASCRIPT% -save %~f0 %*
    POPD
ENDLOCAL

GOTO :eof
::!#

import scala.sys.process._
import java.util.logging
import net.sourceforge.uiq3.Shell.Logger
import net.sourceforge.uiq3.Android.{forAllDevices, downloadScreenshots, openScreenshots}

val Workspace        = new java.io.File(System.getenv ("Workspace"))
val Temp             = new java.io.File(Workspace, "Temp")
val Group_Name       = "hp45"
val Package_Name     = "net.sourceforge.uiq3." + Group_Name

forAllDevices {
    Device =>
        Logger.log (logging.Level.INFO, "[Scala] open for «" + Device + "»")

        downloadScreenshots (Device, Package_Name, Temp)
        openScreenshots (Device, Package_Name, Temp)
} // forAllDevices

//////////////////////////////////////////////////////////// {{{1 ///////////
// vim: set wrap tabstop=8 shiftwidth=4 softtabstop=4 expandtab :
// vim: set textwidth=0 filetype=scala fileformat=dos foldmethod=marker nospell :
