#!/opt/local/bin/zsh
############################################################ {{{1 ###########
#  Copyright (C) 2007,2008  Martin Krischik
#############################################################################
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
############################################################: }}}1 ##########/

setopt No_XTrace;
setopt Err_Exit;

alias     Create-IC-Menu=${PROJECT_HOME}/src/main/scripts/Create-IC-Menu.scala
alias    Create-Adaptive=${PROJECT_HOME}/src/main/scripts/Create-Adaptive-Launcher.scala
alias   Create-IC-Button=${PROJECT_HOME}/src/main/scripts/Create-IC-Button.scala
alias Create-IC-Launcher=${PROJECT_HOME}/src/main/scripts/Create-IC-Launcher.scala

pushd ${PROJECT_HOME}/HP45/Droid/src/main/res
    Create-Adaptive	../../../../Pictures/ic_launcher_bg.png
    Create-Adaptive	../../../../Pictures/ic_launcher_fg.png
    # Create-IC-Launcher	../../../../Pictures/ic_launcher.png
    # Create-IC-Launcher	../../../../Pictures/ic_launcher_hp45.png
    # Create-IC-Launcher	../../../../Pictures/ic_launcher_round.png
    # Create-IC-Menu	../../../../Pictures/ic_menu.png
popd

pushd ${PROJECT_HOME}/HP45/Test/src/main/res
    # Create-IC-Launcher	../../../../Pictures/ic_launcher_hp45_test.png
    # Create-IC-Launcher	../../../../Pictures/ic_launcher_test.png
popd

############################################################ {{{1 ###########
# vim: set nowrap tabstop=8 shiftwidth=4 softtabstop=4 noexpandtab :
# vim: set textwidth=0 filetype=zsh foldmethod=marker nospell :
